ose3dprinter.part

Parts for 3D Printer.

Name

Description

AngleFrameConnector

Connects angled bars together in a cubic frame.

AngledBarFrame

Frame made from 12 angled bars connected by angle frame connectors.

Axis

Modular and scalable CNC axis for creating cartesian CNC machines.

CNCCutFrame

Frame made from flat sheets cut by a CNC machine.

Extruder

Extruder for extruding heated-plastic.

HeatedBed

Heated bed to help prevent warping of prints.


class AngleFrameConnector

Bases: object

Connects angled bars together in a cubic frame.

An angle frame connector is made up of three brackets.

AngleFrameConnector
axis_side_mount_length = 27.75
axis_side_mount_width = 5
classmethod calculate_bracket_length(width, thickness)

Calculate the length of the bracket.

Parameters
  • width (float) – Width of the angled frame.

  • thickness (float) – Thickness of the angled frame.

Returns

Length of one of the three brackets that make up an angle frame connector.

Return type

float

classmethod calculate_y_axis_overhang_distance()

Calculate distance of y axis over-hang.

Returns

Distance of y axis over-hang.

Return type

float

classmethod distance_between_axis_side_mount_holes_and_frame()

Calculate distance between the axis side mount holes and frame.

Returns

Distance between the axis side mount holes and frame.

Return type

float

classmethod make(width=38.1, thickness=3.175, corner='bottom_left_front', with_set_screw=False, with_filleting=False)

Make an angle frame connector.

Parameters
  • width (float) – Width of the angled frame.

  • thickness (float) – Thickness of the angled frame.

  • corner (str) – Which corner to orient the angle frame connector to. Defaults to bottom left front corner.

  • with_set_screw (bool) – Whether to include set screw mechanism.

  • with_filleting (bool) – Whether to include filleting.

Returns

Angle frame connector object.

Return type

Part.Solid

class AngledBarFrame

Bases: object

Frame made from 12 angled bars connected by angle frame connectors.

AngledBarFrame
static make(side=304.8, width=38.1, thickness=3.175)

Make a frame from from 12 angled bars connected by angle frame connectors.

No welding or epoxy required, and the frame can be disassembled.

Parameters
  • side (float) – Side or dimension of frame from one corner to the opposite corner.

  • width (float) – Width of angled bar.

  • thickness (float) – Thickness of each angled bar.

Returns

A frame made up of angled bars, connected by angle frame connectors.

Return type

Part.Shape

class Axis

Bases: object

Modular and scalable CNC axis for creating cartesian CNC machines.

Axis
classmethod calculate_carriage_box_x(rod_length, carriage_position)

Calculate x position of carriage box.

Below is an ASCII depiction of a top-side view of an axis.

x position of carriage box

  <-------------------->

   +---------+        +------+        +---+
   |         |        |      |        |   |
   |  O   O  +--------+      +--------+ O |
   |         |        |      |        |   |
   |  O   O  +--------+      +--------+ O |
   |         |        |      |        |   |
   +---------+        +------+        +---+

   motor-side       carriage box      idler
Parameters
  • rod_length (float) – Length of axis rods.

  • carriage_position (int) – Position of carriage (0 - 100).

Returns

X position of carriage box.

Return type

float

carriage_box_width = 52
distance_between_hole_and_inner_motor_side = 12.59
distance_between_holes = 22.44
classmethod distance_between_idler_side_holes_and_outer_edge()

Calculate distance between idler side holes and outer edge.

Below is an ASCII depiction of a top-side view of the idler-side of an axis.

   |   |
   |   |
+--+---+--+
|         | ^
|  O   O  | |
|         | | distance
+---------+ |
outer edge  v
Returns

Distance between idler side holes and outer edge.

Return type

float

classmethod distance_between_inner_motor_side_holes_and_outer_edge()

Calculate distance between inner motor side holes and outer edge.

Below is an ASCII depiction of a top-side view of the motor-side of an axis.

       outer edge  ^
      +---------+  |
      |         |  |
      |  O   O  |  | distance
      |         |  |
inner |  O   O  |  |
holes |         |  v
      +--+---+--+
         |   |
         |   |
Returns

Distance between inner motor side holes and outer edge.

Return type

float

hole_radius = 3.39
idler_box_length = 66
idler_box_width = 26
classmethod make(rod_length=304.8, rod_radius=4.0, carriage_position=50, orientation='x', side='top', initial_placement=Placement [Pos=(0,0,0), Yaw-Pitch-Roll=(0,0,0)], origin_translation_offset=Vector (0.0, 0.0, 0.0))

Make a universal CNC axis.

Parameters
  • rod_length (float) – Length of rods.

  • rod_radius (float) – Radius of rods.

  • carriage_position (int) – Position of carriage as percentage (0 - 100).

  • orientation (str) – Default orientation of axis (x, y, or z).

  • side (str) – Default side axis faces.

  • initial_placement (Base.Placement) – Initial placement for part.

  • origin_translation_offset (Base.Vector) – Offset part from origin.

Returns

Axis object.

Return type

Part.Compound

motor_box_width = 59.5
x_distance_between_holes = 23.36
class CNCCutFrame

Bases: object

Frame made from flat sheets cut by a CNC machine.

CNCCutFrame
static make(side=304.8, width=38.1, sheet_thickness=3.175)

Make a frame from flat sheets cut by a CNC machine.

These flat sheets are then welded or epoxied together.

This approach works best with welding.

See Also:

https://wiki.opensourceecology.org/wiki/D3D_Frame

Parameters
  • side (float) – Dimension of one side of a cubic sheet.

  • width (float) – Width of outer sheet, after an inner sheet is cut out of the center.

  • sheet_thickness (float) – Thickness of each sheet.

Returns

A frame “welded” together from eight CNC cut sheets.

Return type

Part.Shape

class Extruder

Bases: object

Extruder for extruding heated-plastic.

Extruder
static make(initial_placement=Placement [Pos=(0,0,0), Yaw-Pitch-Roll=(0,0,0)], origin_translation_offset=Vector (0.0, 0.0, 0.0))

Make an extruder.

Parameters
  • initial_placement (Base.Placement) – Initial placement for part.

  • origin_translation_offset (Base.Vector) – Offset part from origin.

Returns

Extruder object.

class HeatedBed

Bases: object

Heated bed to help prevent warping of prints.

See Also:
HeatedBed
static make(size=203.2, initial_placement=Placement [Pos=(0,0,0), Yaw-Pitch-Roll=(0,0,0)], origin_translation_offset=Vector (0.0, 0.0, 0.0))

Make heated bed.

Parameters
  • size (float) – [description]

  • initial_placement (Base.Placement) – Initial placement for part.

  • origin_translation_offset (Base.Vector) – Offset part from origin.

Returns

Heated bed object.

Return type

Part.Compound